gi-atk-2.0.18: Atk bindings

Copyright | Will Thompson Iñaki García Etxebarria and Jonas Platte
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria (garetxe@gmail.com)
Safe Haskell | None
Language | Haskell2010

GI.Atk.Objects.Plug

Contents

- Exported types
- Methods
  - getId
  - new

Description

See `Socket`

Synopsis

- newtype Plug = Plug (ManagedPtr Plug)
- class GObject o => IsPlug o
- toPlug :: (MonadIO m, IsPlug o) => o -> m Plug
- noPlug :: Maybe Plug
- plugGetId :: (HasCallStack, MonadIO m, IsPlug a) => a -> m Text
- plugNew :: (HasCallStack, MonadIO m) => m Plug

# Exported types

newtype Plug Source #

Memory-managed wrapper type.

Constructors

Plug (ManagedPtr Plug) |

Instances

GObject Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug Methods gobjectType :: Plug -> IO GType Source #
IsObject Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug
IsComponent Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug
IsObject Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug
IsPlug Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug

class GObject o => IsPlug o Source #

Type class for types which can be safely cast to `Plug`, for instance with `toPlug`.

Instances

(GObject a, (UnknownAncestorError Plug a :: Constraint)) => IsPlug a Source # |
Instance details Defined in GI.Atk.Objects.Plug
IsPlug Plug Source # |
Instance details Defined in GI.Atk.Objects.Plug

toPlug :: (MonadIO m, IsPlug o) => o -> m Plug Source #

Cast to `Plug`, for types for which this is known to be safe. For general casts, use `castTo`.

noPlug :: Maybe Plug Source #

A convenience alias for `Nothing` :: `Maybe` `Plug`.

# Methods

## getId

plugGetId Source #

Arguments

:: (HasCallStack, MonadIO m, IsPlug a) |
=> a | `plug`: an `Plug`
-> m Text | Returns: the unique ID for the plug

Gets the unique ID of an `Plug` object, which can be used to embed inside of an `Socket` using `socketEmbed`.

Internally, this calls a class function that should be registered by the IPC layer (usually at-spi2-atk). The implementor of an `Plug` object should call this function (after atk-bridge is loaded) and pass the value to the process implementing the `Socket`, so it could embed the plug.

Since: 1.30

## new

plugNew Source #

Arguments

:: (HasCallStack, MonadIO m) |
=> m Plug | Returns: the newly created `Plug`

Creates a new `Plug` instance.

Since: 1.30